# Generated by Django 2.0 on 2017-12-19 08:22

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Categoria',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=200)),
                ('descripcion', models.CharField(blank=True, max_length=2000, null=True)),
                ('creado_fecha', models.DateTimeField(auto_now_add=True)),
                ('actualizado_fecha', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='EnvioCronometraje',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tiempo_medido', models.DateTimeField()),
                ('vuelta', models.PositiveSmallIntegerField(default=1)),
                ('creado_fecha', models.DateTimeField(auto_now_add=True)),
                ('actualizado_fecha', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='EquipoDeCronometraje',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=200)),
                ('api_key', models.CharField(max_length=300)),
                ('creado_fecha', models.DateTimeField(auto_now_add=True)),
                ('actualizado_fecha', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='EventoDeportivo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=200)),
                ('descripcion', models.CharField(blank=True, max_length=2000, null=True)),
                ('fecha_evento', models.DateTimeField()),
                ('lugar', models.CharField(blank=True, max_length=200, null=True)),
                ('creado_fecha', models.DateTimeField(auto_now_add=True)),
                ('actualizado_fecha', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Participante',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre_completo', models.CharField(max_length=300)),
                ('dni', models.CharField(blank=True, max_length=30, null=True)),
                ('dorsal', models.PositiveIntegerField()),
                ('etiqueta_rfid', models.CharField(max_length=100)),
                ('creado_fecha', models.DateTimeField(auto_now_add=True)),
                ('actualizado_fecha', models.DateTimeField(auto_now=True)),
                ('categoria', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cronoapp.Categoria')),
                ('evento', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cronoapp.EventoDeportivo')),
            ],
        ),
        migrations.CreateModel(
            name='PuntoDeControl',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=200)),
                ('punto_kilometrico', models.CharField(blank=True, max_length=100, null=True)),
                ('orden_en_recorrido', models.PositiveSmallIntegerField(default=1)),
                ('creado_fecha', models.DateTimeField(auto_now_add=True)),
                ('actualizado_fecha', models.DateTimeField(auto_now=True)),
                ('equipo_de_cronometraje', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cronoapp.EquipoDeCronometraje')),
                ('evento', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cronoapp.EventoDeportivo')),
            ],
        ),
        migrations.CreateModel(
            name='Recorrido',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=200)),
                ('descripcion', models.CharField(blank=True, max_length=2000, null=True)),
                ('tipo', models.CharField(max_length=50)),
                ('numero_de_vueltas', models.PositiveSmallIntegerField(default=1)),
                ('creado_fecha', models.DateTimeField(auto_now_add=True)),
                ('actualizado_fecha', models.DateTimeField(auto_now=True)),
                ('evento', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cronoapp.EventoDeportivo')),
            ],
        ),
        migrations.AddField(
            model_name='puntodecontrol',
            name='recorrido',
            field=models.ManyToManyField(to='cronoapp.Recorrido'),
        ),
        migrations.AddField(
            model_name='enviocronometraje',
            name='evento',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cronoapp.EventoDeportivo'),
        ),
        migrations.AddField(
            model_name='enviocronometraje',
            name='participante',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cronoapp.Participante'),
        ),
        migrations.AddField(
            model_name='enviocronometraje',
            name='punto_de_control',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cronoapp.PuntoDeControl'),
        ),
        migrations.AddField(
            model_name='categoria',
            name='evento',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cronoapp.EventoDeportivo'),
        ),
        migrations.AddField(
            model_name='categoria',
            name='recorrido',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cronoapp.Recorrido'),
        ),
    ]
